Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76793 - kernel 2.4.18-17.7.x hangs in partition check
Summary: kernel 2.4.18-17.7.x hangs in partition check
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i586
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-26 20:15 UTC by Todd Allen
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-05 04:21:57 UTC


Attachments (Terms of Use)
expected results (i.e. what I got with ide=nodma) (deleted)
2002-10-26 20:16 UTC, Todd Allen
no flags Details
actual results (i.e. w/o ide=nodma) (deleted)
2002-10-26 20:28 UTC, Todd Allen
no flags Details

Description Todd Allen 2002-10-26 20:15:34 UTC
Description of Problem:

   The 2.4.18-17.7.x kernel update for RedHat 7.2 hangs in the partition check
   during boot on a 120Gb Maxtor drive.  

Version-Release number of selected component (if applicable):

   2.4.18-17.7.x

How Reproducible:

   Every time.

Steps to Reproduce:
1. install 2.4.18-17.7.x
2. boot

Actual Results:

   See attached log

Expected Results:

   See attached log

Additional Information:
	
   The 2.4.9-34 kernel does not suffer from this hang.

   The 2.4.18-17.7.x kernel boots if hdc=noprobe is used.  Of course, that
   disk isn't usable then.

   The 2.4.18-17.7.x kernel boots if ide=nodma is used.  But that suffers a
   serious performance penalty.

   I was going to install RedHat 8.0 on this system, but I fear that the
   2.4.18-17.8.0 kernel would suffer the same problem.

Comment 1 Todd Allen 2002-10-26 20:16:52 UTC
Created attachment 82224 [details]
expected results (i.e. what I got with ide=nodma)

Comment 2 Todd Allen 2002-10-26 20:28:57 UTC
Created attachment 82225 [details]
actual results (i.e. w/o ide=nodma)

Comment 3 Todd Allen 2002-10-26 20:30:48 UTC
I hadn't noticed this before, but I see that the CHS numbers are different in the
successful boot (with ide=nodma) and the unsuccessful one (without ide=nodma).


Comment 4 Todd Allen 2002-11-20 01:55:13 UTC
I get the same hang with the 8.0 installation media.  bootnet.img to be specific.


Comment 5 Dave Jones 2004-01-05 04:21:57 UTC
1) There are quite a few errata kernels since the one you used, which
fix various problems (including security holes). I suggest updating.

2) RHL 7 & 8 is now end of lifed since Jan 1st, and won't get any
further updates.



Note You need to log in before you can comment on or make changes to this bug.